#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	NetworkManager
Version		:	1.32.2
Release		:	14.8.0.0%{?dist}
Summary		:	Network connection manager and user applications
Group		:	Applications/File

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLV2+
URL		:	http://ftp.gnome.org/pub/gnome/sources/NetworkManager

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	curl
BuildRequires	:	dbus-glib-devel
BuildRequires	:	dhcp-client
#BuildRequires	:	elogind-devel
BuildRequires	:	gnutls
BuildRequires	:	gobject-introspection
BuildRequires	:	libndp
BuildRequires	:	eudev-devel
BuildRequires	:	meson
BuildRequires	:	ninja
BuildRequires	:	nss
BuildRequires	:	polkit-devel
BuildRequires	:	vala

Requires	:	qt

#-----------------------------------------------------------------------------
%description
NetworkManager is a system service that manages network interfaces and
connections based on user or automatic configuration. It supports
Ethernet, Bridge, Bond, VLAN, Team, InfiniBand, Wi-Fi, mobile broadband
(WWAN), PPPoE and other devices, and supports a variety of different
VPN services.


%prep
%setup -q

#---------------------------------------------------------
#building application
%build

#Qt-5.12.4 is installed and the Qt based examples are desired
sed -i							\
  -e "/Qt[CDN]/s/Qt/Qt5/g"				\
  -e "s/-qt4/-qt5/"					\
  -e "s/moc_location/host_bins/"			\
  examples/C/qt/meson.build

#Fix a missing meson.build file for initrd hooks
sed -i							\
  -e "/initrd/d"					\
  src/meson.build 

#Fix the python scripts so that they use Python 3
grep -rl '^#!.*python$' | xargs sed -i '1s/python/&3/'

%{__mkdir_p} build
pushd build

CXXFLAGS+="-O2 -fPIC"  					\
meson                                                   \
        --prefix=%{_prefix}                             \
        --sysconfdir=%{_sysconfdir}                     \
        --includedir=%{_includedir}                     \
        --libexecdir=%{_libexecdir}                     \
	--localstatedir=%{_var}				\
        --bindir=%{_bindir}                             \
        --sbindir=%{_sbindir}                           \
        --mandir=%{_mandir}                             \
        --libdir=%{_libdir}                             \
        --infodir=%{_infodir}                           \
	--buildtype=release 				\
	-Dlibaudit=no					\
	-Dintrospection=true				\
	-Dvapi=false					\
	-Dlibpsl=false					\
	-Dnmtui=false					\
	-Dovs=false					\
	-Dppp=false					\
	-Dselinux=false					\
	-Dudev_dir=%{_libdir}/udev			\
	-Dmodem_manager=false				\
	-Dsystemdsystemunitdir=no			\
	-Dsystemd_journal=false				\
	-Dintrospection=true				\
	-Dsession_tracking_consolekit=true		\
	-Dsession_tracking=no				\
	-Dvapi=true					\
	-Dqt=false					\
	..


ninja
popd

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

pushd build
DESTDIR=%{buildroot}					\
	ninja install
popd 

%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
#{_sysconfdir}/dbus-1/system.d/*.conf
%{_includedir}/libnm/nm-*.h
%{_includedir}/libnm/%{name}.h
%{_bindir}/nm-online
%{_bindir}/nmcli
%{_sbindir}/%{name}
%{_libexecdir}/nm-*
%{_libdir}/firewalld/zones/nm-shared.xml
%{_libdir}/%{name}/%{version}/*.so
%{_libdir}/libnm.so*
%{_libdir}/pkgconfig/libnm.pc
%{_libdir}/girepository-1.0/NM-1.0.typelib
%{_libdir}/udev/rules.d/*.rules
%{_datadir}/gir-1.0/*.gir
%{_datadir}/bash-completion/completions/nmcli
%{_datadir}/dbus-1/system.d/nm-dispatcher.conf
%{_datadir}/dbus-1/system.d/org.freedesktop.%{name}.conf
%{_datadir}/dbus-1/interfaces/org.freedesktop.%{name}.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.%{name}.*.xml
%{_datadir}/dbus-1/system-services/org.freedesktop.nm_dispatcher.service
%{_datadir}/doc/%{name}/examples/server.conf
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/polkit-1/actions/org.freedesktop.%{name}.policy
%{_datadir}/vala/vapi/libnm.*

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog

